## noris-dracd 0.4-2

=== Makefile ===
V=$(shell dpkg-parsechangelog | sed -ne 's/^Version:\s*//p')

build:

install:
	cp -r etc/ usr/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man8
	iconv -f utf8 -t latin1 ${DESTDIR}/usr/sbin/noris-dracd | pod2man -n noris-dracd -c '' -s 8 -r $V -v | gzip -9 >${DESTDIR}/usr/share/man/man8/noris-dracd.8.gz

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-dracd (0.4-2) wheezy; urgency=low

  * version bump

 -- Micha Krause <Micha@noris.de>  Wed, 22 Jan 2014 11:41:58 +0100

noris-dracd (0.4-1) wheezy; urgency=low

  * #12483899: Änderungen noris-dracd, Regex korrigiert

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 20 Jan 2014 16:01:52 +0100

noris-dracd (0.4-0) stable; urgency=low

  * #12483899: Änderungen noris-dracd

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 16 May 2012 16:57:12 +0200

noris-dracd (0.3-1) stable; urgency=low

  * Config File eingefügt

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 20 May 2010 14:13:54 +0200

noris-dracd (0.3-0) stable; urgency=low

  * lenny stat

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 20 May 2010 14:07:56 +0200

noris-dracd (0.2-1) stable; urgency=low

  * Added support for SYSLOG_PORT in defaults.

 -- Martin H. Sluka <fany@noris.net>  Thu, 23 Apr 2009 19:17:05 +0200

noris-dracd (0.1-8) stable; urgency=low

  * Implemented handling of QUIT and TERM signals.

 -- Martin H. Sluka <fany@noris.net>  Thu, 23 Apr 2009 18:43:35 +0200

noris-dracd (0.1-6) stable; urgency=low

  * Initial release. (see #10018037)

 -- Martin H. Sluka <fany@noris.net>  Thu, 23 Apr 2009 16:50:12 +0200

=== debian/control ===
Source: noris-dracd
Section: noris/server
Priority: optional
Maintainer: Stelios Gikas <stelios.gikas@noris.net>
Build-Depends: debhelper (>> 5), libc6
Standards-Version: 3.7.2

Package: noris-dracd
Architecture: all
Depends: libdata-dump-perl, libevent-perl, libexception-class-perl, libproc-pid-file-perl, libregexp-common-perl, perl (>= 5.8)
Description: daemon for managing our POP before SMTP database

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-dracd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
